summaryrefslogtreecommitdiff
path: root/tests/cp/cp-mv-enotsup-xattr
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/cp-mv-enotsup-xattr')
-rwxr-xr-xtests/cp/cp-mv-enotsup-xattr7
1 files changed, 6 insertions, 1 deletions
diff --git a/tests/cp/cp-mv-enotsup-xattr b/tests/cp/cp-mv-enotsup-xattr
index 0239abbde..7e7b6456f 100755
--- a/tests/cp/cp-mv-enotsup-xattr
+++ b/tests/cp/cp-mv-enotsup-xattr
@@ -77,7 +77,12 @@ test -s err && fail=1 # there must be no stderr output
rm -f err noxattr/a
-# This should pass without diagnostics
+# This should pass without diagnostics (new file)
+cp --preserve=all xattr/a noxattr/ 2>err || fail=1
+test -s noxattr/a || fail=1 # destination file must not be empty
+test -s err && fail=1 # there must be no stderr output
+
+# This should pass without diagnostics (existing file)
cp --preserve=all xattr/a noxattr/ 2>err || fail=1
test -s noxattr/a || fail=1 # destination file must not be empty
test -s err && fail=1 # there must be no stderr output